## org.eclipse.emf.workspace
Class WorkspaceEditingDomainFactory

    java.lang.Object
      org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl
          org.eclipse.emf.workspace.WorkspaceEditingDomainFactory

All Implemented Interfaces:
  TransactionalEditingDomain.Factory

    public class WorkspaceEditingDomainFactory

extends TransactionalEditingDomainImpl.FactoryImpl

Factory for creating transactional editing domains that delegate command execution, undo, and redo to an `IOperationHistory`.

Since the 1.3 release, the determination of how `ResourceUndoContext`s are attached to undoable operations is customizable using the new `IResourceUndoContextPolicy` API.

Field Summary
`static WorkspaceEditingDomainFactory` `INSTANCE` The single shared instance of the workbench editing domain factory.

Constructor Summary
`WorkspaceEditingDomainFactory()` Initializes me.

Method Summary
`TransactionalEditingDomain` `createEditingDomain()` Creates a new editing domain using a default resource set implementation and the Workbench's shared operation history.
`TransactionalEditingDomain` `createEditingDomain(IOperationHistory history)` Creates a new editing domain on a default resource set implementation and the specified operation history.
`TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)` Creates a new editing domain using the given resource set and the Workbench's shared operation history.
`TransactionalEditingDomain` `createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset, IOperationHistory history)` Creates a new editing domain on the given resource set and the specified operation history.
`protected IResourceUndoContextPolicy` `getResourceUndoContextPolicy()` Obtains a resource undo-context policy to apply to the editing domain, to determine how to attach `ResourceUndoContext`s to operations in the associated history.

Methods inherited from class org.eclipse.emf.transaction.impl.TransactionalEditingDomainImpl.FactoryImpl
`getEditingDomain, mapResourceSet, unmapResourceSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final WorkspaceEditingDomainFactory INSTANCE

  The single shared instance of the workbench editing domain factory.

Constructor Detail

### WorkspaceEditingDomainFactory

    public WorkspaceEditingDomainFactory()

  Initializes me.

Method Detail

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain()

  Creates a new editing domain using a default resource set implementation and the Workbench's shared operation history.

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Overrides:
    `createEditingDomain` in class `TransactionalEditingDomainImpl.FactoryImpl`
  Returns:
    the new editing domain

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset)

  Creates a new editing domain using the given resource set and the Workbench's shared operation history.

  Specified by:
    `createEditingDomain` in interface `TransactionalEditingDomain.Factory`
  Overrides:
    `createEditingDomain` in class `TransactionalEditingDomainImpl.FactoryImpl`
  Parameters:
    `rset` - the resource set on which to create the editing domain
  Returns:
    the new editing domain

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(IOperationHistory history)

  Creates a new editing domain on a default resource set implementation and the specified operation history.

  Parameters:
    `history` - the operation history to which I delegate the command stack
  Returns:
    the new editing domain

### createEditingDomain

    public TransactionalEditingDomain createEditingDomain(org.eclipse.emf.ecore.resource.ResourceSet rset,
                                                          IOperationHistory history)

  Creates a new editing domain on the given resource set and the specified operation history.

  Parameters:
    `rset` - the resource set to use
    `history` - the operation history to which I delegate the command stack
  Returns:
    the new editing domain

### getResourceUndoContextPolicy

    protected IResourceUndoContextPolicy getResourceUndoContextPolicy()

  Obtains a resource undo-context policy to apply to the editing domain, to determine how to attach `ResourceUndoContext`s to operations in the associated history. May be overridden by clients to supply a non-default implementation.

  Returns:
    the resource undo-context policy
  Since:
    1.3

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.